## com.baidubce.services.bmr.model
Class ListStepsResponse

    java.lang.Object
      com.baidubce.model.AbstractBceResponse
          com.baidubce.services.bmr.model.ListStepsResponse

    public class ListStepsResponse

extends AbstractBceResponse

Represent the response of ListStepsRequest. The response contains a array of BMR Step objects.

Field Summary

Fields inherited from class com.baidubce.model.AbstractBceResponse
`metadata`

Constructor Summary
`ListStepsResponse()`

Method Summary
`String` `getMarker()`
`String` `getNextMarker()`
`List<Step>` `getSteps()`
`boolean` `isTruncated()`
`void` `setMarker(String marker)`
`void` `setNextMarker(String nextMarker)`
`void` `setSteps(List<Step> steps)`
`void` `setTruncated(boolean isTruncated)`

Methods inherited from class com.baidubce.model.AbstractBceResponse
`getMetadata`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListStepsResponse

    public ListStepsResponse()

Method Detail

### isTruncated

    public boolean isTruncated()

### setTruncated

    public void setTruncated(boolean isTruncated)

### getMarker

    public String getMarker()

### setMarker

    public void setMarker(String marker)

### getNextMarker

    public String getNextMarker()

### setNextMarker

    public void setNextMarker(String nextMarker)

### getSteps

    public List<Step> getSteps()

### setSteps

    public void setSteps(List<Step> steps)

Copyright © 2016. All rights reserved.